'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getApiMiddleware = exports.DEFAULT_API_STATE = exports.app = exports.api = exports.del = exports.patch = exports.post = exports.get = exports.requestAll = exports.API_RESP_FAIL = exports.API_RESP_ERROR = exports.API_RESP_COMPLETE = exports.API_RESP_SUCCESS = exports.API_REQ = undefined;

var _apiActionCreators = require('./sync/apiActionCreators');

Object.defineProperty(exports, 'API_REQ', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.API_REQ;
	}
});
Object.defineProperty(exports, 'API_RESP_SUCCESS', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.API_RESP_SUCCESS;
	}
});
Object.defineProperty(exports, 'API_RESP_COMPLETE', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.API_RESP_COMPLETE;
	}
});
Object.defineProperty(exports, 'API_RESP_ERROR', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.API_RESP_ERROR;
	}
});
Object.defineProperty(exports, 'API_RESP_FAIL', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.API_RESP_FAIL;
	}
});
Object.defineProperty(exports, 'requestAll', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.requestAll;
	}
});
Object.defineProperty(exports, 'get', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.get;
	}
});
Object.defineProperty(exports, 'post', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.post;
	}
});
Object.defineProperty(exports, 'patch', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.patch;
	}
});
Object.defineProperty(exports, 'del', {
	enumerable: true,
	get: function get() {
		return _apiActionCreators.del;
	}
});

var _reducer = require('./reducer');

Object.defineProperty(exports, 'api', {
	enumerable: true,
	get: function get() {
		return _reducer.api;
	}
});
Object.defineProperty(exports, 'app', {
	enumerable: true,
	get: function get() {
		return _reducer.app;
	}
});
Object.defineProperty(exports, 'DEFAULT_API_STATE', {
	enumerable: true,
	get: function get() {
		return _reducer.DEFAULT_API_STATE;
	}
});

var _reduxObservable = require('redux-observable');

var _sync = require('./sync');

var _sync2 = _interopRequireDefault(_sync);

var _cache = require('./cache');

var _cache2 = _interopRequireDefault(_cache);

var _mutate = require('./mutate');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The middleware is exported as a getter because it needs the application's
 * routes in order to set up the nav-related epic(s) that are part of the
 * final middleware
 *
 * **Note** it's unlikely that the server needs any epics other than `sync` in
 * order to render the application. We may want to write a server-specific
 * middleware that doesn't include the other epics if performance is an issue
 */
var getApiMiddleware = exports.getApiMiddleware = function getApiMiddleware(routes, fetchQueries, baseUrl) {
	return (0, _reduxObservable.createEpicMiddleware)((0, _reduxObservable.combineEpics)((0, _sync2.default)(routes, fetchQueries, baseUrl), (0, _cache2.default)(), _mutate.postEpic, // DEPRECATED
	_mutate.deleteEpic // DEPRECATED
	));
};
//# sourceMappingURL=index.js.map