'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = getRoutes;
function getRoutes() {
	var pingRoute = {
		path: '/ping',
		method: 'GET',
		handler: function handler(request, reply) {
			return reply('pong!');
		},
		config: { auth: false }
	};

	// simple 200 response for all lifecycle requests
	// https://cloud.google.com/appengine/docs/flexible/python/how-instances-are-managed#health_checking
	var appEngineLifecycleRoutes = {
		method: 'GET',
		path: '/_ah/{param*}',
		config: { auth: false },
		handler: function handler(request, reply) {
			if (request.params.param === 'error') {
				throw new Error('Simulated error via url');
			}
			reply('OK');
		}
	};

	return [pingRoute, appEngineLifecycleRoutes];
}
//# sourceMappingURL=index.js.map