'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.querySchema = undefined;

var _joi = require('joi');

var _joi2 = _interopRequireDefault(_joi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stringOrArray = _joi2.default.alternatives().try([_joi2.default.string(), _joi2.default.array().items(_joi2.default.string())]);

var querySchema = exports.querySchema = _joi2.default.object({
	endpoint: _joi2.default.string().required(),
	ref: _joi2.default.string().required(),
	flags: _joi2.default.array(),
	mockResponse: _joi2.default.object(),
	params: _joi2.default.object(), // can be FormData
	type: _joi2.default.string(),
	meta: _joi2.default.object({
		method: _joi2.default.string().valid('get', 'post', 'delete', 'patch').insensitive(),
		flags: _joi2.default.array(),
		variants: _joi2.default.object().pattern(/\w+/, stringOrArray),
		metaRequestHeaders: _joi2.default.array()
	})
});
//# sourceMappingURL=validation.js.map