'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = register;

var _route = require('./route');

var _route2 = _interopRequireDefault(_route);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * The server app route plugin - this applies a wildcard catch-all route that
 * will call the server app rendering function for the correct request language.
 */
function register(server, options, next) {
	server.route((0, _route2.default)(options.languageRenderers));

	next();
}


register.attributes = {
	name: 'mwp-app-route',
	version: '1.0.0',
	dependencies: ['mwp-language', // provides `request.getPrefixedPath` and `request.getLanguage`
	'electrode-csrf-jwt']
};
//# sourceMappingURL=index.js.map