'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = register;

var _util = require('./util');

/*
 * This plugin provides two `request` helpers:
 * - `getLanguage`: get the request's language code (xx-XX)
 * - `getLangPrefixPath`: get the correct request path relative to the request's
 *   specified language
 */
function register(server, options, next) {
	server.decorate('request', 'getLanguage', _util.getLanguage, {
		apply: true
	});
	server.decorate('request', 'getLangPrefixPath', _util.getLangPrefixPath, {
		apply: true
	});

	next();
}


register.attributes = {
	name: 'mwp-language',
	version: '1.0.0'
};
//# sourceMappingURL=index.js.map