'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CLICK_PLUGIN_NAME = undefined;
exports.onPreHandlerExtension = onPreHandlerExtension;
exports.default = register;

var _clickReader = require('./util/clickReader');

var _clickReader2 = _interopRequireDefault(_clickReader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLICK_PLUGIN_NAME = exports.CLICK_PLUGIN_NAME = 'mwp-click-tracking';
function onPreHandlerExtension(request, reply) {
	try {
		(0, _clickReader2.default)(request, reply);
	} catch (err) {
		request.server.app.logger.error(err);
	}
	return reply.continue();
}

/*
 * The plugin register function that will 'decorate' the `request` interface with
 * all tracking functions returned from `getTrackers`, as well as assign request
 * lifecycle event handlers that can affect the response, e.g. by setting cookies
 */
function register(server, options, next) {
	server.ext('onPreHandler', onPreHandlerExtension);

	next();
}

register.attributes = {
	name: CLICK_PLUGIN_NAME,
	version: '1.0.0',
	dependencies: ['hapi-pino']
};
//# sourceMappingURL=click.js.map