'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.polyfillServiceUrl = polyfillServiceUrl;
/**
 * @param {String} localeCode the 'xx-XX' language code for the app
 * @return {String} the polyfill.io cdn string
 */
function polyfillServiceUrl(localeCode) {
	var features = ['fetch', // IE, Safari
	'Intl', 'Intl.~locale.' + localeCode, 'Promise', 'URL', 'Array.prototype.find', // IE
	'Array.prototype.includes', // IE
	'Array.from', // IE
	'String.prototype.endsWith', // IE
	'String.prototype.startsWith', // IE
	'String.prototype.includes'];
	var flags = ['gated'];
	return 'https://cdn.polyfill.io/v2/polyfill.min.js?features=' + features.join() + '&flags=' + flags.join();
}
//# sourceMappingURL=browserPolyfill.js.map