'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactHelmet = require('react-helmet');

var _reactHelmet2 = _interopRequireDefault(_reactHelmet);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _browserPolyfill = require('./browserPolyfill');

var _newrelicBrowser = require('./newrelicBrowser');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * This just imports a blob of JS that New Relic give us so we can track usage/errors from real
 * users. We should only need to upgrade it in the event New Relic makes a major change, which
 * they'll let us know about.
 */


/**
 * This component wraps all pages on the website, and through [Helmet](https://github.com/nfl/react-helmet/)
 * sets up base CSS, favicons, javascript, and our New Relic RUM/error reporting (see `newrelicBrowserJS` above).
 *
 * @module PageWrap
 */
var PageWrap = function (_React$Component) {
	_inherits(PageWrap, _React$Component);

	function PageWrap() {
		_classCallCheck(this, PageWrap);

		return _possibleConstructorReturn(this, (PageWrap.__proto__ || Object.getPrototypeOf(PageWrap)).apply(this, arguments));
	}

	_createClass(PageWrap, [{
		key: 'renderChildren',

		/**
   * This method ensures important app state props passed
   * from `AppContainer` are passed to children (feature containers)
   *
   * @method renderChildren
   * @returns {Array} Children with mapped props
   */
		value: function renderChildren() {
			var _props = this.props,
			    self = _props.self,
			    localeCode = _props.localeCode,
			    location = _props.location;


			return _react2.default.Children.map(this.props.children, function (child, key) {
				return _react2.default.cloneElement(child, { self: self, localeCode: localeCode, location: location, key: key });
			});
		}

		/**
   * @return {React.element} the page wrapping component
   */

	}, {
		key: 'render',
		value: function render() {
			var _props2 = this.props,
			    head = _props2.head,
			    iconSprite = _props2.iconSprite,
			    localeCode = _props2.localeCode;

			// Parse localeCode for ISO 639-1 languages code.
			// (ie. 'en', 'it', etc)
			// @see https://github.com/meetup/swarm-sasstools/blob/master/scss/utils/helpers/_i18n.scss

			var lang = localeCode.substring(0, 2);

			return _react2.default.createElement(
				'div',
				{
					id: 'root',
					className: 'column lang_' + lang,
					style: { minHeight: '100vh' }
				},
				head,
				_react2.default.createElement(
					_reactHelmet2.default,
					{ defaultTitle: 'Meetup', titleTemplate: '%s - Meetup' },
					_react2.default.createElement('meta', { name: 'viewport', content: 'width=device-width, initial-scale=1' }),
					_react2.default.createElement('meta', { 'http-equiv': 'Content-Type', content: 'text/html; charset=UTF-8' }),
					_react2.default.createElement('meta', { 'http-equiv': 'X-UA-Compatible', content: 'IE=edge' }),
					_react2.default.createElement('meta', { name: 'robots', content: 'index,follow' }),
					_react2.default.createElement('meta', {
						name: 'verify-v1',
						content: 'h5EhuAEkLFlZmMxwpH5wnRaoDEmqYCCEUE+FLcrRNvE='
					}),
					_react2.default.createElement('script', { type: 'text/javascript', src: (0, _browserPolyfill.polyfillServiceUrl)(localeCode) }),
					_react2.default.createElement(
						'script',
						{ type: 'text/javascript' },
						_newrelicBrowser.newrelicBrowserJS
					)
				),
				iconSprite && _react2.default.createElement('div', {
					style: { display: 'none' },
					dangerouslySetInnerHTML: { __html: iconSprite }
				}),
				this.renderChildren()
			);
		}
	}]);

	return PageWrap;
}(_react2.default.Component);

PageWrap.propTypes = {
	head: _propTypes2.default.object,
	iconSprite: _propTypes2.default.string,
	localeCode: _propTypes2.default.string.isRequired,
	location: _propTypes2.default.object.isRequired,
	self: _propTypes2.default.object.isRequired
};

exports.default = PageWrap;
//# sourceMappingURL=index.js.map