'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleStateChangeOnClient = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactSideEffect = require('react-side-effect');

var _reactSideEffect2 = _interopRequireDefault(_reactSideEffect);

var _Redirect = require('react-router-dom/Redirect');

var _Redirect2 = _interopRequireDefault(_Redirect);

var _Route = require('react-router-dom/Route');

var _Route2 = _interopRequireDefault(_Route);

var _util = require('./util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * A routing component that, when rendered, will redirect the application to
 * another internal route _or_ external URL. On the server, the redirect will
 * be handled with a 301/302 redirect HTTP response to the browser - 301 when
 * the `permanent` prop has been set, 302 otherwise. On the client,
 * `window.location.replace` will be used for external URLs, but React Router
 * will respect a `push: false` property to decide whether to push or replace
 * ``window.history` state.
 *
 * Strings, location objects, and URL objects are all supported in the `to`
 * prop, but location objects will _only_ be treated as internal routes, and URL
 * objects will _only_ be treated as external URLs.
 *
 * Example:
 *
 * ```
 * // internal route, string URL
 * <Router to='/foo/bar' />
 * // internal route, location object
 * <Router to={{pathname: '/foo/bar', search: '?foo=bar', hash: '#thing'}} />
 *
 * // external URL, string URL
 * <Router to='http://example.com' />
 * // external URL, URL object
 * <Router to={new URL('http://example.com')} />

 * // internal route, permanent redirect
 * <Router to='/foo/bar' permanent />
 * // external URL, permanent redirect
 * <Router to='http://example.com' permanent />
 * ```
 */
var Redirect = function (_React$Component) {
	_inherits(Redirect, _React$Component);

	function Redirect() {
		_classCallCheck(this, Redirect);

		return _possibleConstructorReturn(this, (Redirect.__proto__ || Object.getPrototypeOf(Redirect)).apply(this, arguments));
	}

	_createClass(Redirect, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    to = _props.to,
			    push = _props.push,
			    permanent = _props.permanent;

			if (to instanceof URL || (0, _util.testForExternal)(to)) {
				// this is an external URL, so let `withSideEffect` handlers do redirect
				return null;
			}
			// internal route URL - <Route> provides access to the static routing
			// context on the server so we can populate the `permanent` value, and the
			// `<Redirect>` will populate the context `url` value or trigger the
			// `window.location` redirect in the browser
			return _react2.default.createElement(_Route2.default, {
				render: function render(_ref) {
					var staticContext = _ref.staticContext;

					if (staticContext) {
						// populate static context for server-side redirect
						staticContext.permanent = permanent;
					}
					return _react2.default.createElement(_Redirect2.default, { to: to, push: push });
				}
			});
		}
	}]);

	return Redirect;
}(_react2.default.Component);

var reducePropsToState = function reducePropsToState(propsList) {
	var _propsList$pop = propsList.pop(),
	    to = _propsList$pop.to,
	    permanent = _propsList$pop.permanent;

	if (to instanceof URL) {
		// return the external URL as a string
		return { url: to.toString(), permanent: permanent };
	}
	if (!(0, _util.testForExternal)(to) || typeof to !== 'string') {
		// no external URL string
		return undefined;
	}
	return { url: to, permanent: permanent };
};

var handleStateChangeOnClient = exports.handleStateChangeOnClient = function handleStateChangeOnClient(redirect) {
	if (!redirect || !(0, _util.testForExternal)(redirect.url)) {
		// 'internal' links will be handled by React Router
		return;
	}
	window.location.replace(redirect.url);
};

exports.default = (0, _reactSideEffect2.default)(reducePropsToState, handleStateChangeOnClient)(Redirect);
//# sourceMappingURL=Redirect.js.map