'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Switch = require('react-router-dom/Switch');

var _Switch2 = _interopRequireDefault(_Switch);

var _Route = require('react-router-dom/Route');

var _Route2 = _interopRequireDefault(_Route);

var _AsyncRoute = require('./AsyncRoute');

var _AsyncRoute2 = _interopRequireDefault(_AsyncRoute);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * @class RouteLayout
 */
var RouteLayout = function (_React$Component) {
	_inherits(RouteLayout, _React$Component);

	function RouteLayout() {
		_classCallCheck(this, RouteLayout);

		return _possibleConstructorReturn(this, (RouteLayout.__proto__ || Object.getPrototypeOf(RouteLayout)).apply(this, arguments));
	}

	_createClass(RouteLayout, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    routes = _props.routes,
			    _props$matchedPath = _props.matchedPath,
			    matchedPath = _props$matchedPath === undefined ? '/' : _props$matchedPath;


			return _react2.default.createElement(
				_Switch2.default,
				null,
				routes.map(function (route, i) {
					var path = matchedPath === '/' // root path, no need to prepend
					? route.path : '' + matchedPath + (route.path || '');

					return _react2.default.createElement(_Route2.default, {
						key: i,
						path: path,
						exact: route.exact || false,
						strict: route.strict || false,
						render: function render(props) {
							return _react2.default.createElement(_AsyncRoute2.default, _extends({}, props, { route: route }));
						}
					});
				})
			);
		}
	}]);

	return RouteLayout;
}(_react2.default.Component);

RouteLayout.propTypes = {
	routes: _propTypes2.default.arrayOf(_propTypes2.default.object).isRequired,
	matchedPath: _propTypes2.default.string
};

exports.default = RouteLayout;
//# sourceMappingURL=RouteLayout.js.map