'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.SyncContainer = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _withRouter = require('react-router-dom/withRouter');

var _withRouter2 = _interopRequireDefault(_withRouter);

var _redux = require('redux');

var _reactRedux = require('react-redux');

var _routeActionCreators = require('./routeActionCreators');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function mapDispatchToProps(dispatch) {
	return {
		dispatchLocationChange: (0, _redux.bindActionCreators)(_routeActionCreators.locationChange, dispatch)
	};
}

/**
 * @module SyncContainer
 */

var SyncContainer = exports.SyncContainer = function (_React$Component) {
	_inherits(SyncContainer, _React$Component);

	function SyncContainer() {
		_classCallCheck(this, SyncContainer);

		return _possibleConstructorReturn(this, (SyncContainer.__proto__ || Object.getPrototypeOf(SyncContainer)).apply(this, arguments));
	}

	_createClass(SyncContainer, [{
		key: 'componentWillReceiveProps',

		/**
   * This container connects route changes to Redux actions. When the router
   * inject new props, the container determines whether or not to dispatch a
   * 'locationChange' action
   * 
   * In order to prevent data fetches when the hash changes, we only compare
   * the new pathname and querystring with the current pathname and querystring
   * 
   * @return {undefined} side effect only - dispatch
   */
		value: function componentWillReceiveProps(_ref) {
			var location = _ref.location,
			    history = _ref.history;

			if (location.pathname !== this.props.location.pathname || location.search !== this.props.location.search) {
				this.props.dispatchLocationChange(location);
				if (history.action === 'PUSH') {
					// new navigation - scroll to top
					window.scrollTo(0, 0);
				}
				// eventually we might want to try setting up some scroll logic for 'POP'
				// events (back button) to re-set the previous scroll position
			}
		}
		/**
   * @return {Function} React element
   */

	}, {
		key: 'render',
		value: function render() {
			return this.props.children;
		}
	}]);

	return SyncContainer;
}(_react2.default.Component);

SyncContainer.propTypes = {
	children: _propTypes2.default.element.isRequired,
	dispatchLocationChange: _propTypes2.default.func.isRequired,
	location: _propTypes2.default.object.isRequired,
	history: _propTypes2.default.object.isRequired
};

exports.default = (0, _reactRedux.connect)(null, mapDispatchToProps)((0, _withRouter2.default)(SyncContainer));
//# sourceMappingURL=SyncContainer.js.map