'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _apiState = require('../../api-state');

// mwp-api-state

var injectPromise = function injectPromise(store) {
	return function (next) {
		return function (action) {
			if (action.type === _apiState.API_REQ) {
				action.meta = action.meta || {};
				action.meta.request = new Promise(function (resolve, reject) {
					action.meta = action.meta || {};
					action.meta.resolve = resolve;
					action.meta.reject = reject;
				});
			}
			return next(action);
		};
	};
};

exports.default = injectPromise;
//# sourceMappingURL=injectPromise.js.map