'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.platformReducers = undefined;

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //  weak
/**
 * The root level reducer for the app.
 * @module reducer
 **/

// mwp-api-state
// mwp-router


exports.config = config;
exports.preRenderChecklist = preRenderChecklist;
exports.default = makeRootReducer;

var _redux = require('redux');

var _apiState = require('../api-state');

var _router = require('../router');

var _clickState = require('../plugins/tracking/util/clickState');

// mwp-tracking/util/clickState

function config() {
	var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
	var action = arguments[1];

	if (action.type === 'CONFIGURE') {
		return _extends({}, state, action.payload);
	}
	return state;
}

/**
 * This reducer manages a list of boolean flags that indicate the 'ready to
 * render' state of the application. It is used exclusively by the server,
 * which triggers actions when initializing a response that should eventually
 * make all flags 'true'
 *
 * The server can then read these flags from state and render when ready
 */
function preRenderChecklist() {
	var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [false],
	    _ref2 = _slicedToArray(_ref, 1),
	    apiDataLoaded = _ref2[0];

	var action = arguments[1];

	return [apiDataLoaded || action.type === _apiState.API_RESP_COMPLETE];
}

var platformReducers = exports.platformReducers = {
	api: _apiState.api,
	app: _apiState.app,
	clickTracking: _clickState.reducer,
	config: config,
	preRenderChecklist: preRenderChecklist,
	routing: _router.routing
};

/**
 * A function that builds a reducer combining platform-standard reducers and
 * app-specific reducers
 */
function makeRootReducer() {
	var appReducers = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	Object.keys(appReducers).forEach(function (reducer) {
		if (reducer in platformReducers) {
			throw new Error('\'' + reducer + '\' is a reserved platform reducer name');
		}
	});
	return (0, _redux.combineReducers)(_extends({}, platformReducers, appReducers));
}
//# sourceMappingURL=reducer.js.map