'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

require('rxjs/add/operator/map');

require('rxjs/add/operator/toPromise');

var _fetchUtils = require('../util/fetchUtils');

/**
 * on the server, we can proxy the API requests directly without making a
 * request to the server's own API proxy endpoint
 */
exports.default = function (request) {
	return function () {
		return function (queries) {
			return request.proxyApi$(queries).map(function (responses) {
				return { responses: responses };
			}) // package the responses in object like the API proxy endpoint does
			.toPromise().then((0, _fetchUtils.parseQueryResponse)(queries));
		};
	};
};
//# sourceMappingURL=fetchQueries.js.map