'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getServerCreateStore = getServerCreateStore;

var _redux = require('redux');

var _apiState = require('../../api-state');

var _fetchQueries = require('./fetchQueries');

var _fetchQueries2 = _interopRequireDefault(_fetchQueries);

var _catch = require('../middleware/catch');

var _catch2 = _interopRequireDefault(_catch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } } // mwp-api-state

/**
 * the server needs a slightly different store than the browser because the
 * server doesn't need to make an internal request to the api proxy endpoint
 * when the store dispatches an API request action
 *
 * @param {Object} routes the React Router routes object
 * @param {Array} middleware additional middleware to inject into store
 * @param {Object} request the Hapi request for this store
 */
function getServerCreateStore(routes, middleware, request, baseUrl) {
  var middlewareToApply = [(0, _catch2.default)(function (err) {
    return request.server.app.logger.error(err);
  }), (0, _apiState.getApiMiddleware)(routes, (0, _fetchQueries2.default)(request), baseUrl)].concat(_toConsumableArray(middleware));

  var middlewareEnhancer = _redux.applyMiddleware.apply(undefined, _toConsumableArray(middlewareToApply));

  return middlewareEnhancer(_redux.createStore);
}
//# sourceMappingURL=index.js.map