'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.parseMemberCookie = exports.MEMBER_COOKIE = undefined;

var _qs = require('qs');

var _qs2 = _interopRequireDefault(_qs);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MEMBER_COOKIE = exports.MEMBER_COOKIE = _config2.default.isProd ? 'MEETUP_MEMBER' : 'MEETUP_MEMBER_DEV';

var parseMemberCookie = exports.parseMemberCookie = function parseMemberCookie(state) {
	if (!state[MEMBER_COOKIE]) {
		_logger2.default.warn('No member cookie found - there might be a problem with auth');
		// no member cookie - always return id=0
		return { id: 0 };
	}
	var member = _qs2.default.parse(state[MEMBER_COOKIE]);
	member.id = parseInt(member.id, 10) || 0;
	return member;
};
//# sourceMappingURL=cookieUtils.js.map