'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.loadLocale = loadLocale;
exports.getLocaleCode = getLocaleCode;

var _fr = require('react-intl/locale-data/fr');

var _fr2 = _interopRequireDefault(_fr);

var _de = require('react-intl/locale-data/de');

var _de2 = _interopRequireDefault(_de);

var _es = require('react-intl/locale-data/es');

var _es2 = _interopRequireDefault(_es);

var _it = require('react-intl/locale-data/it');

var _it2 = _interopRequireDefault(_it);

var _ja = require('react-intl/locale-data/ja');

var _ja2 = _interopRequireDefault(_ja);

var _pt = require('react-intl/locale-data/pt');

var _pt2 = _interopRequireDefault(_pt);

var _ko = require('react-intl/locale-data/ko');

var _ko2 = _interopRequireDefault(_ko);

var _nl = require('react-intl/locale-data/nl');

var _nl2 = _interopRequireDefault(_nl);

var _pl = require('react-intl/locale-data/pl');

var _pl2 = _interopRequireDefault(_pl);

var _th = require('react-intl/locale-data/th');

var _th2 = _interopRequireDefault(_th);

var _tr = require('react-intl/locale-data/tr');

var _tr2 = _interopRequireDefault(_tr);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A module for i18n utilities
 * @module localizationUtils
 */

// locale data comes from https://github.com/andyearnshaw/Intl.js/tree/master/locale-data/json
var localeMap = {
	'en-US': {
		// Use built-in locale-data for en
	},
	'en-AU': {
		// Use built-in locale-data for en
	},
	es: {
		data: _es2.default
	},
	'es-ES': {
		data: _es2.default
	},
	'fr-FR': {
		data: _fr2.default
	},
	'de-DE': {
		data: _de2.default
	},
	'it-IT': {
		data: _it2.default
	},
	'ja-JP': {
		data: _ja2.default
	},
	'ko-KR': {
		data: _ko2.default
	},
	'nl-NL': {
		data: _nl2.default
	},
	'pl-PL': {
		data: _pl2.default
	},
	'pt-BR': {
		data: _pt2.default
	},
	'th-TH': {
		data: _th2.default
	},
	'tr-TR': {
		data: _tr2.default
	}
};

/*
 * Load data for given localeCode into ReactIntl
 */
function loadLocale(localeCode) {
	if (!localeCode) {
		return;
	}
	if (!(localeCode in localeMap)) {
		console.warn(localeCode + ' not supported');
	}
	var locale = localeMap[localeCode] || {};
	(0, _reactIntl.addLocaleData)(locale.data);
}

/*
 * Get locale code and for given member
 *
 * Note:
 * The api currently returns locale codes with underscores
 * instead of dashes, so this method supports both until fixed.
 */
function getLocaleCode(self) {
	// Retreive locale code from state (api response)
	return (self && self.lang || 'en-US').replace('_', '-');
}
//# sourceMappingURL=localizationUtils.js.map