'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _pino = require('pino');

var _pino2 = _interopRequireDefault(_pino);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var prettyPrint = process.env.NODE_ENV !== 'production';
var enabled = process.env.NODE_ENV !== 'test'; // don't print when running tests

var reqSerializerDev = function reqSerializerDev(req) {
	return req.method.toUpperCase() + ' ' + req.url.href;
};
var resSerializerDev = function resSerializerDev(res) {
	return res.statusCode;
};

var pretty = _pino2.default.pretty({
	forceColor: true,
	messageKey: 'message' // Stackdriver uses this key for log summary
});

pretty.pipe(process.stdout);

var logger = (0, _pino2.default)({
	timestamp: prettyPrint, // prod logs provide their own timestamp
	messageKey: 'message', // Stackdriver uses this key for log summary
	enabled: enabled,
	serializers: {
		req: prettyPrint ? reqSerializerDev : _pino2.default.stdSerializers.req,
		res: prettyPrint ? resSerializerDev : _pino2.default.stdSerializers.res
	}
}, prettyPrint ? pretty : process.stdout);

exports.default = logger;
//# sourceMappingURL=logger.js.map